Subject: bug#42406: Mouse-wheel scrolling can be flickering

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Dec 2020 18:17:12 +0200

> From: Konrad Podczeck <[email-masked]>
> Date: Mon, 14 Dec 2020 01:20:39 +0100
> Cc: Eli Zaretskii <[email-masked]>,
>  [email-masked]
> 
> In view of the comments made by Eli, I made a shoot in the dark, and, in window.c, commented out the occurrences of wset_update_mode_line on lines 1850, 4011, 5630, 5819, 6079, as well as the respective line after the three statements lines where "Bug#15957" is written. With these (actually I have not testes which of these (out-commentings are relevant) the problem has completely gone. I am aware that this is not a real solution, but it shows that there is some room. Which are the risks caused by these changes of the code?

As explained in my other message, avoiding to call
wset_update_mode_line will cause subtle redisplay bugs.